Skip to main content
GET
Retrieve all dependencies for an entity

Authorizations

Authorization
string
header
required

All requests to the Cortex API need to provide an Authorization: Bearer <token> header, where <token> is an API key created in the Settings page of your workspace.

Path Parameters

callerTag
string
required

Query Parameters

includeOutgoing
boolean
default:true
includeIncoming
boolean
default:false
pageSize
integer<int32>
default:250
required

Number of results to return per page, between 1 and 1000. Default 250.

page
integer<int32>
default:0
required

Page number to return, 0-indexed. Default 0.

Response

Successfully found entity dependencies

calleeTag
string
required

Entity tag (x-cortex-tag) for the callee entity

calleeType
string
required

Type of the callee entity. Corresponds to the x-cortex-type field in the entity descriptor or ‘service’ for services.

callerTag
string
required

Entity tag (x-cortex-tag) for the caller entity

callerType
string
required

Type of the caller entity. Corresponds to the x-cortex-type field in the entity descriptor or ‘service’ for services.

description
string
metadata
object
method
string

Possible values: [GET, HEAD, POST, PUT, PATCH, DELETE, OPTIONS, TRACE]

path
string
Last modified on September 29, 2026